<?php
// присоединяем файлы перевода конфигурации как внешние файлы
$files = glob($config["site_path"] . "/lang/*_c.php");
if (!$files) {
    $files = array();
}
foreach ($files as $file) {
    $result = run_query("SELECT * FROM " . EXT_FILES . " WHERE `name`='lang/" . substr($file,
            strrpos($file, "/") + 1) . "'");
    if (!mysqli_num_rows($result)) {
        run_query("INSERT INTO " . EXT_FILES . " (`name`) VALUES ('lang/" . substr($file,
                strrpos($file, "/") + 1) . "')");
    }
}
?>